For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • PATCHAssign or update group role for a project
      • GETList project user roles
      • DELRemove a group from a project

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceProject Permissions

Assign or update group role for a project

PATCH
https://api.frame.io/v4/accounts/:account_id/projects/:project_id/groups/:group_id
PATCH
/v4/accounts/:account_id/projects/:project_id/groups/:group_id
1from frameio_experimental import FrameioExperimental, UpdateGroupRolesParamsData
2
3client = FrameioExperimental(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.project_permissions.project_group_roles_update(
8 account_id="ecc6d61c-08e2-4e97-95be-c754c0b1dcf3",
9 project_id="7a5dca3d-3f07-4c3a-a88a-00465fadffb2",
10 group_id="7b0d8e98-becf-47b4-9971-2dfde9e315a0",
11 data=UpdateGroupRolesParamsData(
12 role="editor",
13 ),
14)
1{
2 "data": {
3 "role": "editor"
4 }
5}

Assigns an access group to a project with a specified role, granting all members of the group that role on the project. If the group is already assigned, this updates the group’s role.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

List project user roles

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
project_idstringRequired
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
group_idstringRequiredformat: "uuid"
A UUID string that uniquely identifies a Frame.io entity.

Headers

api-versionenumRequired
Allowed values:

Request

Update group roles params body
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).